Bug 717502 - Review Request: i4uc - IDE for developing micro-controllers firmware
Summary: Review Request: i4uc - IDE for developing micro-controllers firmware
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Larry Letelier
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-29 02:54 UTC by German Ruiz
Modified: 2013-04-26 15:03 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-26 14:49:26 UTC
dennis: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description German Ruiz 2011-06-29 02:54:19 UTC
Spec URL: http://germanrs.fedorapeople.org/rpmdev/i4uc/i4uc.spec
SRPM URL: http://germanrs.fedorapeople.org/rpmdev/i4uc/i4uc-0.5.6-1.fc15.i686.src.rpm
Description: i4uc is a multiple platform IDE for developing 
micro-controllers firmware.

Comment 1 Volker Fröhlich 2011-06-29 05:58:04 UTC
Don't ship .la files. .so belong in a devel sub-package.

License is GPLv3+.

-n %{name}-%{version} is unnecessary.

Docs should be installed with the %doc macro in the files section.

Some BuildRequires are not needed, e.g. make (see packaging guidelines). I guess the version requirements are unneeded too.

The version in the changelog entries are wrong.

Please check if all your files in %doc are useful. INSTALL is not.

Comment 2 Guillermo Gómez 2011-06-29 10:15:55 UTC
Dont forget to include rpmlint output on your request.

Comment 3 Guillermo Gómez 2011-06-29 10:51:17 UTC
Im having rpaths issues:


ERROR   0001: file '/usr/bin/i4uc-gtk' contains a standard rpath '/usr/lib64' in [/usr/lib64]


Please fix it.

Comment 4 Guillermo Gómez 2011-06-29 10:55:40 UTC
I dont understand why the src.rpm has the arch in the name, im not able to reproduce with your spec and rpmbuild -bs .

Comment 5 Guillermo Gómez 2011-06-29 11:19:49 UTC
I'll review, Toshio will sponsor.

Comment 6 German Ruiz 2011-06-30 04:16:52 UTC
Here the files with the corrections...

SPEC: http://lletelier.fedorapeople.org/i4uc/i4uc.spec
SRPM: http://lletelier.fedorapeople.org/i4uc/i4uc-0.5.6-1.fc15.src.rpm
RPM_F15_32bits: http://lletelier.fedorapeople.org/i4uc/i4uc-0.5.6-1.fc15.i686.rpm
RPM_F15_64bits: http://lletelier.fedorapeople.org/i4uc/i4uc-0.5.6-1.fc15.x86_64.rpm

rpmlint outputs:

rpmlint -i SPECS/i4uc.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

rpmlint -i RPMS/i686/i4uc-0.5.6-1.fc15.i686.rpm 
i4uc.i686: W: no-manual-page-for-binary i4uc-gtk
Each executable in standard binary directories should have a man page.
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

rpmlint -i SRPMS/i4uc-0.5.6-1.fc15.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

 rpmlint -i SPECS/i4uc.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

rpmlint -i SRPMS/i4uc-0.5.6-1.fc15.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

rpmlint -i RPMS/x86_64/i4uc-0.5.6-1.fc15.x86_64.rpm 
i4uc.x86_64: W: no-manual-page-for-binary i4uc-gtk
Each executable in standard binary directories should have a man page.
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 7 Guillermo Gómez 2011-06-30 10:48:32 UTC
Please increase your %realese with every change u make to your spec (or pile up several changes in on release and make several changelog entries, i like the more atomic approach)

Release: 1%{dist} < fix it please.

Your changelog actually is showing correct behaviour but release is wrong and static. According your changelog, your release should be:

Release: 3%{dist}

Comment 8 Guillermo Gómez 2011-06-30 11:04:20 UTC
U can also get rid of

%clean
make clean
rm -rf %{buildroot}

http://fedoraproject.org/wiki/Packaging:Guidelines#.25clean

Comment 9 Guillermo Gómez 2011-06-30 11:25:04 UTC
Please use macros in a consistent way:


rm -f $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}/INSTALL
rm -rf %{buildroot}/%{_libdir}/%{name}/*.so

Choose between $RPM_BUILD_ROOT or %{buildroot}

Comment 10 Larry Letelier 2011-06-30 13:41:18 UTC
All changes are done.

The updates and new version of the files is in: 

http://lletelier.fedorapeople.org/i4uc/

Comment 11 Larry Letelier 2011-06-30 13:55:38 UTC
All changes are done.

The updates and new version of the files is in: 

http://lletelier.fedorapeople.org/i4uc/

Comment 12 German Ruiz 2011-06-30 14:29:23 UTC
Here the corrected SPEC file

SPEC: http://lletelier.fedorapeople.org/i4uc/i4uc.spec

Comment 13 Guillermo Gómez 2011-07-05 03:23:50 UTC
%changelog release numbers are still wrong (all entries points to 0.5.6-1)

Release: 4%{dist}
...

%changelog
* Thu Jun 30 2011 lletelier <larry.letelier@gmail.com> - 0.5.6-1
- Fixed Release
- Sed RPM_BUILD_ROOT -> buildroot
- Clean, clean.

* Wed Jun 29 2011 lletelier <larry.letelier@gmail.com> - 0.5.6-1
- Fixed Licence GPLv3+
- Add doc macro section
- Remove .la static library
- Remove unnecessary entries
- Add i4uc.mo language file

* Mon Jun 27 2011 lletelier <larry.letelier@gmail.com> - 0.5.6-1
- Fixed docs 

* Sun Jun 12 2011 germanrs <germanrs@fedoraproject.org> - 0.5.6-1
- Initial package

Next time, fix old entries, bump the release and create a new changelog (0.5.6-5)

Please post spec url, srpm url, and rpmlint outputs for the next time.

Comment 15 Volker Fröhlich 2011-07-10 22:38:46 UTC
Please use the %doc macro instead of %{_docdir}/%{name}-%{version}/...!

You could also include THANKS.

I think the icon should go to %{_datadir}/pixmaps and the icon entry in the desktop file should reflect that. Ideally, it should be stated as mentioned here: http://fedoraproject.org/wiki/Packaging:Guidelines#Icon_tag_in_Desktop_Files

Please change the permission of your spec file to 644.

mkdir -p %{buildroot}/%{_datadir}/locale/es/LC_MESSAGES -- Why that? You could put in some comments.

"... for developing micro-controllers firmware" -- Shouldn't that be "micro-controller"? Don't spell "Multiple" with a capital M in the description. Descriptions normally end with a period.

You can drop the defattr line.

Since some of your BRs are not available in EPEL, you can remove:

- Build root definition
- rm -rf %{buildroot}

If you plan to get the missing dependencies into EPEL, please ignore that suggestion.

Comment 16 German Ruiz 2011-07-11 17:37:15 UTC
Larry Letelier is going to finish this package, so from now he is going to make all the changes and the ownership of the project.

Comment 17 Volker Fröhlich 2011-07-11 19:29:02 UTC
He also needs a sponsor.

Comment 18 Volker Fröhlich 2011-10-08 07:40:06 UTC
Any progress here?

Comment 19 Larry Letelier 2011-11-02 15:35:55 UTC
i will doing the last changes and upload the new versions.

Comment 20 Larry Letelier 2011-11-02 17:46:59 UTC
(In reply to comment #18)
> Any progress here?

The last changes are here: 02-Nov
http://lletelier.fedorapeople.org/i4uc/

i wait next steps.

Comment 21 Toshio Ernie Kuratomi 2011-11-02 17:49:07 UTC
I'm willing to sponsor when the review is complete.  Just let me know.

Comment 22 Guillermo Gómez 2011-11-14 10:17:14 UTC
(In reply to comment #20)
> (In reply to comment #18)
> > Any progress here?
> 
> The last changes are here: 02-Nov
> http://lletelier.fedorapeople.org/i4uc/
> 
> i wait next steps.

Please include links to srpm/spec plus rpmlint output (must be a habit)

Comment 23 Larry Letelier 2011-11-14 17:58:32 UTC
(In reply to comment #22)
> (In reply to comment #20)
> > (In reply to comment #18)
> > > Any progress here?
> > 
> > The last changes are here: 02-Nov
> > http://lletelier.fedorapeople.org/i4uc/
> > 
> > i wait next steps.
> 
> Please include links to srpm/spec plus rpmlint output (must be a habit)

Dear Guillermo,

The rpmlint/srpm file was uploaded here:

http://lletelier.fedorapeople.org/i4uc/

Thanks,
--LL

Comment 24 Guillermo Gómez 2011-11-14 19:11:42 UTC
I know the files are there (spec/srpm), however, if for any reason rpmlint outuput goes removed from such host, then there will be no evidence here about it.

So just as a habit, please put here explicit links to both spec and srpm file and include here the rmplint output :)

Comment 25 Guillermo Gómez 2011-11-14 19:25:00 UTC
Specific:

[!] : MUST - Package contains a properly installed %{name}.desktop using desktop-file-install file if it is a GUI application.

Please review: http://fedoraproject.org/wiki/Packaging:Guidelines#Desktop_files

It is not simply enough to just include the .desktop file in the package, one MUST run desktop-file-install OR desktop-file-validate in %install (and have BuildRequires: desktop-file-utils), to help ensure .desktop file safety and spec-compliance.

Comment 27 Guillermo Gómez 2012-02-26 13:05:27 UTC
Please include rpmlint output for rpm binaries too in the future.

MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated

==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Package contains a properly installed %{name}.desktop using desktop-
     file-install file if it is a GUI application.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST The spec file handles locales properly.
[ ]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint i4uc-0.5.6-9.fc16.x86_64.rpm

i4uc.x86_64: W: no-manual-page-for-binary i4uc-gtk
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint i4uc-debuginfo-0.5.6-9.fc16.x86_64.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint i4uc-0.5.6-9.fc16.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


[!]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/gomix/rpmbuild/717502/i4uc-0.5.6.tar.bz2 :
  MD5SUM this package     : 44f9028a5779aea9aa729bd0b6f128cf
  MD5SUM upstream package : d41d8cd98f00b204e9800998ecf8427e

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[!]: SHOULD Dist tag is present.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Buildroot is not present (not blocking)
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[!]: MUST Rpmlint output is silent. (not blocking)

rpmlint i4uc-0.5.6-9.fc16.x86_64.rpm

i4uc.x86_64: W: no-manual-page-for-binary i4uc-gtk
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint i4uc-debuginfo-0.5.6-9.fc16.x86_64.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint i4uc-0.5.6-9.fc16.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[!]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/gomix/rpmbuild/717502/i4uc-0.5.6.tar.bz2 :
  MD5SUM this package     : 44f9028a5779aea9aa729bd0b6f128cf
  MD5SUM upstream package : d41d8cd98f00b204e9800998ecf8427e

This is a blocker for me, please review this issue carefully and come back for final approval 

Guillermo

Comment 28 Guillermo Gómez 2012-02-27 18:04:48 UTC
After some reviews with Larry, everything is clear to go, md5 issue was a problem in my latpop.

--------------------------------------------------------
  This package (i4uc) is APPROVED by gomix
--------------------------------------------------------

Comment 29 Larry Letelier 2012-02-29 13:55:15 UTC
New Package SCM Request
=======================
Package Name: i4uc
Short Description: Multiple platform IDE for developing micro-controller firmware
Owners: lletelier
Branches: f15 f16 f17
InitialCC: Lletelier Gomix

Comment 30 Larry Letelier 2012-02-29 18:00:57 UTC
New Package SCM Request
=======================
Package Name: i4uc
Short Description: Multiple platform IDE for developing micro-controller firmware
Owners: lletelier
Branches: f15 f16 f17
InitialCC: Lletelier Gomix

Comment 31 Gwyn Ciesla 2012-03-02 17:21:46 UTC
Please include only valid FAS account names in InitialCC.  gomix, please set
fedora-review flag to +.

Comment 32 Larry Letelier 2012-03-02 17:31:02 UTC
New Package SCM Request
=======================
Package Name: i4uc
Short Description: Multiple platform IDE for developing micro-controller
firmware
Owners: lletelier
Branches: f15 f16 f17
InitialCC: Lletelier

Comment 33 Gwyn Ciesla 2012-03-02 17:37:43 UTC
FAS usernames are case-sensitive, wait for review to be + before resetting
cvs flag.

Comment 34 Larry Letelier 2012-03-02 17:47:23 UTC
New Package SCM Request
=======================
Package Name: i4uc
Short Description: Multiple platform IDE for developing micro-controller
firmware
Owners: lletelier
Branches: f15 f16 f17
InitialCC: lletelier

Comment 35 Gwyn Ciesla 2012-03-02 18:08:28 UTC
Git done (by process-git-requests).

Comment 36 Volker Fröhlich 2012-04-10 22:02:18 UTC
Larry, I just saw, you haven't entered your builds into Bodhi yet.

I also noticed there are no working builds for F17 and 18.

Comment 37 Volker Fröhlich 2012-04-10 22:17:49 UTC
The problem seems to be in the pkgconfig file of new libgee.

Comment 38 Volker Fröhlich 2012-06-04 06:48:00 UTC
German, you never registered any of your builds as an update. Therefore, i4uc is not available in Fedora. The F15 and F16 builds were garbage collected and no newer builds exist, see the above post.

Please create builds and register them as updates.

Comment 39 Volker Fröhlich 2012-07-23 06:36:28 UTC
Any news here?

Comment 40 Volker Fröhlich 2013-03-31 19:01:28 UTC
I think you should either fix this package or it should be retired, so we can finally close this ticket.

Comment 41 Volker Fröhlich 2013-04-26 14:49:26 UTC
No response, closing

Comment 42 Jason Tibbitts 2013-04-26 15:03:37 UTC
I retired and blocked the package.  If anyone else wants to start this review process over, they'll need to remember to file the releng ticket to have the package unblocked.


Note You need to log in before you can comment on or make changes to this bug.